LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 10-18-2006, 09:13 PM   #1
Score
Member
 
Registered: Oct 2006
Location: Norway
Distribution: Debian Etch
Posts: 105

Rep: Reputation: 15
I don't get this gnome install


I am using Sabayon, a Gentoo based distro.

Trying to install Gnome 2.16, but it wont work. Tried to sign in with Gnome, but it didn't come any further than the start-up bar, then the command line came. So I am sure that some files have not been installed.


Code:
emerge gnome
And it downloads a lot, then I'm using
Code:
emerge gnome-core
But then what? Isn't there a complete Gnome 2.16 install file out there somewhere? Or do I have to download a certain number of files alone?
 
Old 10-18-2006, 11:22 PM   #2
Penguin of Wonder
Senior Member
 
Registered: Sep 2005
Location: West Virginia
Distribution: Gentoo
Posts: 1,249

Rep: Reputation: 45
Are you looking for GDM? Here, have you followed the Gentoo Install Guide for Gnome. It will probably help you a lot. If you have questions don't be afraid to ask.
 
Old 10-19-2006, 03:51 AM   #3
RMLinux
Member
 
Registered: Jul 2006
Posts: 260

Rep: Reputation: 37
1. type apt-cache search Gnome
this will give you all the list about GNOME.

2. ex. GNOME-CORE
type apt-get install Gnome-Core

insert all the necessary CD's...
 
Old 10-19-2006, 09:05 AM   #4
Penguin of Wonder
Senior Member
 
Registered: Sep 2005
Location: West Virginia
Distribution: Gentoo
Posts: 1,249

Rep: Reputation: 45
Gentoo dosen't use apt, those commands won't work.
 
Old 10-19-2006, 10:45 AM   #5
Score
Member
 
Registered: Oct 2006
Location: Norway
Distribution: Debian Etch
Posts: 105

Original Poster
Rep: Reputation: 15
Ok, I started witht he first step, and got this in return:

Code:
# emerge gnome xscreensaver
Calculating dependencies... done!

!!! Error: the <dev-python/pygtk-2.9 package conflicts with another package;
!!!        the two packages cannot be installed on the same system together.
!!!        Please use 'emerge --pretend' to determine blockers.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked
The second step will definately give the same respons. What can I do to fix this problem?
 
Old 10-19-2006, 10:56 AM   #6
Penguin of Wonder
Senior Member
 
Registered: Sep 2005
Location: West Virginia
Distribution: Gentoo
Posts: 1,249

Rep: Reputation: 45
Run
Code:
emerge --sync
then
Code:
emerge --pretend --update
to see which package is blocking which. Then we can work from there.
 
Old 10-19-2006, 11:27 AM   #7
Score
Member
 
Registered: Oct 2006
Location: Norway
Distribution: Debian Etch
Posts: 105

Original Poster
Rep: Reputation: 15
Code:
# emerge --pretend --update


Usage:
   emerge [ options ] [ action ] [ ebuildfile | tbz2file | dependency ] [ ... ]
   emerge [ options ] [ action ] < system | world >
   emerge < --sync | --metadata | --info >
   emerge --resume [ --pretend | --ask | --skipfirst ]
   emerge --help [ system | world | config | --sync ]
Options: -[abBcCdDefgGhikKlnNoOpqPsStuvV] [--oneshot] [--newuse] [--noconfmem]
                                          [--columns] [--nocolor] [--nospinner]
Actions: [ --clean | --depclean | --prune | --regen | --search | --unmerge ]


   For more help try 'emerge --help' or consult the man page.
That can't be correct?

But this popped up in Kuroo:

!!! Ebuilds for the following packages are either all
!!! masked or don't exist:

kde-base/kde-env (is blocking kde-base/kdelibs-3.5.5-r3)
net-mail/base64 (is blocking sys-apps/coreutils-6.3)
<dev-python/pygtk-2.9 (is blocking dev-python/pygobject-2.12.2)

Can that mean something?

Last edited by Score; 10-19-2006 at 11:29 AM.
 
Old 10-19-2006, 12:38 PM   #8
Penguin of Wonder
Senior Member
 
Registered: Sep 2005
Location: West Virginia
Distribution: Gentoo
Posts: 1,249

Rep: Reputation: 45
Yeah the bottom half is what we're looking for. Here are a couple of threads on the Gentoo Forums that can solve your blockage problems.

For your KDE problem: http://forums.gentoo.org/viewtopic-t...g+kdelibs.html
For the Python Problem: "had to unmerge dev-python/pygtk as it was blocking dev-python/pygobject." I would suggest trying to
remerge pygtk after you update pygobject though.
Still working on base64 one.
 
Old 10-19-2006, 03:06 PM   #9
Score
Member
 
Registered: Oct 2006
Location: Norway
Distribution: Debian Etch
Posts: 105

Original Poster
Rep: Reputation: 15
Ok, so, now I unmerge the ev-python/pygt. And then remerge pygtk after I update the pygobject though.

If so, how do I update the pygobject?

Thanks for hanging along!
 
Old 10-19-2006, 09:38 PM   #10
Penguin of Wonder
Senior Member
 
Registered: Sep 2005
Location: West Virginia
Distribution: Gentoo
Posts: 1,249

Rep: Reputation: 45
EDIT: Totally misred the question.

To update an individual package:
Code:
emerge --update package_name
Sometimes it might tell you that the package dosen't exist because your not being specific enough. So if you just try
Code:
emerge --update pygobject
and it dosen't work, try appending the category to it as well, like you did with pygt:
Code:
emerge --update ev-python/pygt

Last edited by Penguin of Wonder; 10-19-2006 at 09:41 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Install GNOME RPM after minimum RHEL install linuxhead Linux - Newbie 4 02-23-2007 04:36 PM
can i install gnome onto a knoppix hd install? FuriousGibbon Debian 4 03-21-2004 04:39 PM
Cannot install gnome-utils....Knoppix 3.2 HD install quo_vadis Debian 3 11-10-2003 08:44 AM
new install dropline gnome install corbintechboy Slackware 5 10-09-2003 03:33 AM
How can I install Gnome? AMDPwred Linux - General 4 03-13-2002 11:43 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 04:05 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration